Skip to main content
PATCH
Update Document

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Pt-Id
string
required

eka user id (OID)

Path Parameters

document_id
string
required

Document ID to update the document details.

Example:

"2df9e795-d368-4ceb-be9d-b44281703827"

Query Parameters

p_oid
string

Include the patient identifier (p_oid) to update a patient's record. Applicable only for EMR cases.

Body

application/json
dt
enum<string> | null
required

The following values are allowed:

  • ps: Prescription
  • lr: Lab Report
  • ot: Other
  • ds: Discharge Summary
  • vc: Vaccine Certificate
  • in: Insurance
  • iv: Invoice
  • sc: Scan
Available options:
ps,
lr,
ot,
ds,
vc,
in,
iv,
sc
Example:

"lr"

ndhm
boolean | null

If true, the record will be linked.

Example:

true

oid
string | null

OID associated with the document.

Example:

"161847797963700"

dd_e
integer<int64> | null

Format should be in epoch seconds.

Example:

1614556800

tg
string[] | null

Tags associated with the uploaded documents. The rules for tags are the same as the upload API.

Example:
cases
string[] | null

List of cases linked with Medical Record.

metadata
string

Metadata associated with document (FHIR Bundle Format).

Response

Document linked successfully.